Name	: freeradius-pam
Summary	: PAM Module for RADIUS Authentication
Version	: 2.0.0
Release	: 1%{?dist}
License	: GPLv2+
URL: http://www.freeradius.org/pam_radius_auth/

Source: https://github.com/FreeRADIUS/pam_radius/archive/release_2_0_0.tar.gz
#Requires: pam
BuildRequires: make
BuildRequires: gcc

# patches the aix compilation process
Patch0: pam_radius_aix.patch

%description
pam_radius is a PAM module which allows user authentication using 
a radius server.

%prep
%setup -q -n pam_radius-release_2_0_0
%patch0 -p0 -b .h

%build
%configure --enable-werror
export CC="gcc"
make %{?_smp_mflags} CFLAGS="%{optflags} -Wall -fPIC -Wno-unused-but-set-variable -Wno-strict-aliasing"

%install
mkdir -p %{buildroot}/%{_lib}/security
install -p pam_radius_auth.so %{buildroot}/%{_lib}/security
mkdir -p %{buildroot}%{_sysconfdir}
install -p pam_radius_auth.conf %{buildroot}%{_sysconfdir}/pam_radius.conf


%files
%doc README.rst INSTALL USAGE LICENSE Changelog
%config(noreplace) %attr(0600, root, root) %{_sysconfdir}/pam_radius.conf
/%{_lib}/security/pam_radius_auth.so

%changelog
* Fri Mar 25 2022 AIX OSS <sriram.rk@in.ibm.com> - 2.0.0
- Build pam lib for aix.

